Subject: [Gen-art] review of draft-ietf-bfd-multihop-06.txt

From: Francis Dupont <[email-masked]>
Date: Tue, 03 Jun 2008 16:56:22 +0200

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-bfd-multihop-06.txt
Reviewer: Francis Dupont
Review Date: 2008-06-03
IESG Telechat date: 05 June 2008

Summary: Almost ready

Comments: my concerns are editorial but as one is about the structure of
the document I can't assume you can leave them to the RFC Editor:
 - 3.2 page 3: Signalling -> Signaling
 - 3.2: BFD's -> BFD (which is not a person)
 - 3.3: which must exist -> which should exist (as there are cases where
  unidirectional links without a return path are useful (and used), even
  the document doesn't apply in these cases)
 - 5 page 4: I have a concern about this section: IMHO it should be the
  Security Considerations. This should solve a second concern about
  the "empty" Security Considerations when there is at least something
  about security.
 - Normative Refs page 5: don't forget you may provide Informational
  References. For instance IMHO OSPFv2, OSPFv3 and perhaps also BFD-MPLS
  should be only informative.
 - page 5: usually Security and IANA Considerations are sections and
   are before References.
 - Boiler plate page 7: Acknowledgement -> Acknowledgment
  (if you know where your boiler plate comes from, please warn its author)

To understand the document I read some other BFD I-Ds so I have a
concer about draft-ietf-bfd-base-08.txt: IMHO it is not a good idea
to standardize today a MD5-based authentication. I suggest to switch
to SHA1 (I assume it should be kept for compatibility with current
deployed implementations) and a SHA2 (SHA224 or SHA256) -based one.

Regards

[email-masked]
_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art